summaryrefslogtreecommitdiffstats
path: root/graphics/unpaper
diff options
context:
space:
mode:
author LukenShiro <lukenshiro@ngi.it>2012-12-28 22:42:35 +0100
committer Matteo Bernardini <ponce@slackbuilds.org>2012-12-28 22:43:59 +0100
commitc10597536efd3458796d89addc04f672285e0807 (patch)
tree30531b2dced95ea05e5a22625697e07ee47edcb9 /graphics/unpaper
parenta6a23d55617c77ec380248448947034c68433e02 (diff)
downloadslackbuilds-c10597536efd3458796d89addc04f672285e0807.tar.gz
slackbuilds-c10597536efd3458796d89addc04f672285e0807.tar.xz
graphics/unpaper: Switched to Flameeyes' fork, version 0.4.2.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'graphics/unpaper')
-rw-r--r--graphics/unpaper/README6
-rw-r--r--graphics/unpaper/slack-desc6
-rw-r--r--graphics/unpaper/unpaper.SlackBuild40
-rw-r--r--graphics/unpaper/unpaper.info8
4 files changed, 34 insertions, 26 deletions
diff --git a/graphics/unpaper/README b/graphics/unpaper/README
index 3a19caed4d..dd41cb8f93 100644
--- a/graphics/unpaper/README
+++ b/graphics/unpaper/README
@@ -6,14 +6,16 @@ the quality of scanned pages before performing optical character
recognition (OCR). unpaper tries to clean scanned images by removing dark
edges that appeared through scanning or copying on areas outside the actual
page content (e.g. dark areas between the left-hand-side and the
-right-hand-side of a double- sided book-page scan). The program also tries
+right-hand-side of a double-sided book-page scan). The program also tries
to detect disaligned centering and rotation of pages and will automatically
straighten each page by rotating it to the correct angle. This process is
called "deskewing". Note that the automatic processing will sometimes fail.
It is always a good idea to manually control the results of unpaper and adjust
the parameter settings according to the requirements of the input. Each
processing step can also be disabled individually for each sheet. Input and
-output files can be in either .pbm , .pgm or .ppm format, thus generally in
+output files can be in either .pbm, .pgm or .ppm format, thus generally in
.pnm format, as also used by the Linux scanning tools scanimage and scanadf.
Conversion to PDF can e.g. be achieved with the Linux tools pgm2tiff, tiffcp
and tiff2pdf.
+
+This is a fork of the original unpaper software by D.E. "Flameeyes" Pettenò.
diff --git a/graphics/unpaper/slack-desc b/graphics/unpaper/slack-desc
index 8902b721d5..542d5f1ab2 100644
--- a/graphics/unpaper/slack-desc
+++ b/graphics/unpaper/slack-desc
@@ -13,7 +13,7 @@ unpaper: for book pages that have been scanned from previously created
unpaper: photocopies. Main purpose is to make scanned book pages better
unpaper: readable on screen after conversion to PDF. Additionally, it might
unpaper: be useful to enhance the quality of scanned pages before performing
-unpaper: optical character recognition (OCR).
-unpaper:
-unpaper: Homepage: http://unpaper.berlios.de
+unpaper: optical character recognition (OCR). This is an active fork by D.E.
+unpaper: "Flameeyes" Pettenò.
unpaper:
+unpaper: Homepage: http://www.flameeyes.eu/projects/unpaper
diff --git a/graphics/unpaper/unpaper.SlackBuild b/graphics/unpaper/unpaper.SlackBuild
index cf32fb094e..6877385699 100644
--- a/graphics/unpaper/unpaper.SlackBuild
+++ b/graphics/unpaper/unpaper.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for unpaper
-# Copyright 2008-2009 LukenShiro <lukenshiro@ngi.it>
+# Copyright 2008-2013 LukenShiro, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,16 +24,14 @@
# Slackware build script for scrot
PRGNAM=unpaper
-VERSION=0.3
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-0.4.2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -57,25 +55,33 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
-# There is a building shell script (make.sh),
-# but I prefer a direct and minimalistic approach
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-gcc -lm -o unpaper src/unpaper.c
-strip --strip-unneeded unpaper 2>/dev/null || true
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+make
+make install DESTDIR=$PKG
-mkdir -p $PKG/usr/bin
-install -m 0755 unpaper $PKG/usr/bin/
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/img
-install -m 0644 doc/*.html $PKG/usr/doc/$PRGNAM-$VERSION/
-install -m 0644 doc/img/* $PKG/usr/doc/$PRGNAM-$VERSION/img/
-cp -a CHANGELOG README LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp INSTALL $PKG/usr/doc/$PRGNAM-$VERSION/
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/graphics/unpaper/unpaper.info b/graphics/unpaper/unpaper.info
index 5ca4b0dd05..2c63dbb42d 100644
--- a/graphics/unpaper/unpaper.info
+++ b/graphics/unpaper/unpaper.info
@@ -1,8 +1,8 @@
PRGNAM="unpaper"
-VERSION="0.3"
-HOMEPAGE="http://unpaper.berlios.de"
-DOWNLOAD="http://download.berlios.de/unpaper/unpaper-0.3.tar.gz"
-MD5SUM="be41eaf8556e7df39ab53939c99c4f7b"
+VERSION="0.4.2"
+HOMEPAGE="http://www.flameeyes.eu/projects/unpaper"
+DOWNLOAD="http://www.flameeyes.eu/files/unpaper-0.4.2.tar.xz"
+MD5SUM="b4f9890e34e6fa13f24f3ced3a06b618"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""